# PyCS

[![pipeline status](https://gitlab.com/troebs/pycs/badges/master/pipeline.svg)](https://gitlab.com/troebs/pycs/-/commits/master)
[![coverage report](https://gitlab.com/troebs/pycs/badges/master/coverage.svg)](https://gitlab.com/troebs/pycs/-/commits/master)
[![made-with-python](https://img.shields.io/badge/Made%20with-Python-3c80ba.svg)](https://www.python.org/)
[![made-with-vuejs](https://img.shields.io/badge/Made%20with-Vue.js-62b45b.svg)](https://vuejs.org/)

PyCS is a python tool to use and update machine learning models using any modern web browser.

## Requirements

- python 3.6 + pip
- nodejs 14 + npm

## Getting Started

create and activate a virtual python environment

```bash
python -m venv env
source env/bin/activate
```

install python dependencies

```bash
pip install numpy opencv-python Pillow scipy
pip install eventlet flask python-socketio
```

start server

```bash
python app.py
```

change directory to webui

```bash
cd webui/
```

install vuejs

```bash
npm install vue
```

start frontend

```bash
npm run serve
```
