#!/usr/bin/env python

from pycs.ApplicationStatus import ApplicationStatus
from pycs.frontend.WebServer import WebServer
from pycs.projects.LabelManager import LabelManager
from pycs.projects.ModelManager import ModelManager
from pycs.projects.ProjectManager import ProjectManager

if __name__ == '__main__':
    # load settings and initialize application status object
    print('- load settings')
    app_status = ApplicationStatus(path_to_settings_json='settings.json')

    # load model manager
    print('- load model manager')
    model_manager = ModelManager(app_status)

    # load label manager
    print('- load label manager')
    label_manager = LabelManager(app_status)

    # load project manager
    print('- load project manager')
    project_manager = ProjectManager(app_status)

    # start web server
    print('- start web server')
    web_server = WebServer(app_status)
