from glob import glob
from json import load
from os import path

from pycs import ApplicationStatus


class ModelManager:
    def __init__(self, app_status: ApplicationStatus):
        # TODO create models folder if it does not exist

        # find models
        for folder in glob('models/*'):
            # load distribution.json
            with open(path.join(folder, 'distribution.json'), 'r') as file:
                model = load(file)
                model['path'] = folder

                model_id = model['id']
                app_status['models'][model_id] = model
