import unittest

from pycs.ApplicationStatus import ApplicationStatus


class TestApplicationStatus(unittest.TestCase):
    def test_load_default(self):
        aso = ApplicationStatus()
        self.assertEqual({
            'settings': {},
            'models': {},
            'labels': {},
            'projects': {}
        }, aso)

    def test_load_from_object(self):
        settings = {
            'a': 1,
            'b': 'c'
        }

        aso = ApplicationStatus(settings=settings)
        self.assertEqual({
            'settings': settings,
            'models': {},
            'labels': {},
            'projects': {}
        }, aso)


if __name__ == '__main__':
    unittest.main()
